Uploaded image for project: 'Phoenix'
  1. Phoenix
  2. PHOENIX-4281

Unable to connect apache Phoenix-4.10.0 to Hbase-1.1.1

    XMLWordPrintableJSON

    Details

    • Type: Test
    • Status: Resolved
    • Priority: Minor
    • Resolution: Invalid
    • Affects Version/s: 4.10.0, 4.11.0
    • Fix Version/s: 4.8.1
    • Labels:
      None
    • Environment:

      MapR hadoop cluster with hbase-1.1.1 and Phoenix-4.8.1 having 1 hbase master and 3 hbase region servers.
      O.S-6.5 RHEL x64bit
      CPU-24core each node
      Memory128GB each node

      Description

      Hi Team,
      I am trying to upgradePhoenix-4.8.1 to 4.10 on my 4 nodes MapR Hadoop cluster having hbase version1.1.1 with 1 hbase master and 3 hbase region.

      I have added below jars from phoenix-4.10.0 to hbase-1.1.1 lib and restarted hbase services on cluster.( before adding new jars I have moved old phoenix jar and renamed it as jar.bkp on same location)
      phoenix-4.10.0-HBase-1.1-server.jar
      phoenix-core-4.10.0-HBase-1.1.jar

      Issue:- After upgrading phoenixfrom 4.8.1 to latest version version 4.10.0 I am unable to connect hbase from sqlline with below error msg.

      Error: org.apache.hadoop.hbase.snapshot.SnapshotCreationException: org.apache.hadoop.hbase.snapshot.SnapshotCreationException: Table 'SYSTEM.CATALOG' doesn't exist, can't take snapshot.
      at org.apache.hadoop.hbase.master.snapshot.SnapshotManager.takeSnapshot(SnapshotManager.java:562)
      at org.apache.hadoop.hbase.master.MasterRpcServices.snapshot(MasterRpcServices.java:1247)
      at org.apache.hadoop.hbase.protobuf.generated.MasterProtos$MasterService$2.callBlockingMethod(MasterProtos.java:48522)
      at org.apache.hadoop.hbase.ipc.RpcServer.call(RpcServer.java:2114)
      at org.apache.hadoop.hbase.ipc.CallRunner.run(CallRunner.java:101)
      at org.apache.hadoop.hbase.ipc.RpcExecutor.consumerLoop(RpcExecutor.java:130)
      at org.apache.hadoop.hbase.ipc.RpcExecutor$1.run(RpcExecutor.java:107)
      at java.lang.Thread.run(Thread.java:745) (state=,code=0)
      But I am still able to connect to hbase-1.1.1 from phoenix-4.8.1
      I also tried with phoenix-4.11.0 but getting same error.

      Can you guys please help me to connect hbase-1.1.1 from apache phoenix-4.10 or 4.11.

      Regards
      PratapKumar

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              pratap@whiteklay.com Pratap
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: